Python version supportΒΆ

The main branch and releases >= 0.7.0 onwards only support Python 3.7.0 or greater.

Python 3.7.0 is required to utilise ContextVars and doing so considerably simplifies context management with tasks.

The 0.6-maintenance branch supported Python3.6. The final 0.6.X release, 0.6.15, was released in October 2019 after the release of Python3.8.